```mermaid
sequenceDiagram
autonumber
participant merchant as Merchant
participant mbo as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant epagesj as ePagesJ
participant google as Google

merchant->>mbo: Clicks "Update/Edit" pencil button
Note over mbo, epages6: a Dialog window opens to update campaign information (name, daily budget...) and confirm.
mbo->>epages6: ChangeAction POST GoogleSmartShopping-UpdateGoogleAdsCampaign (UpdateGoogleAdsCampaign)
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->updateGoogleAdsCampaignBudget' <br/> PUT 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns/{campaignId}/daily-budget' (admin + developer token) {amount:.., currency:..}
epagesj->>google: AdsManagementService.updateCampaignBudget <br/> CampaignBudget.newBuilder() / CampaignBudgetServiceClient.mutateCampaignBudgets (Google Ads API SDK)
google-->>epagesj: MutateCampaginBudgetsResponse (Google Ads API SDK)
epagesj-->>epages6: response (204 NO-CONTENT)
epages6-->>mbo: 
Note over mbo, epages6: JavaScript Reload tab page to show campaign updates.
mbo->>epages6: ViewAction GET UnityMBO-ViewGoogleSmartShoppingCampaigns (UnityViewGoogleSmartShoppingCampaigns)
epages6->epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->getSmartShoppingCampaigns' <br/> GET 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns'
epagesj->>google: AdsReportingService.getSmartShoppingCampaigns <br/> GoogleAdsServiceClient.search (Google Ads API SDK)
google-->>epagesj: GoogleAdsServiceClient.SearchPagedResponse (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) List<SmartShoppingCampaign> entity [ {name:.., dailyBudget:.., status:...} ]
epages6-->>mbo: parse page with campaign data
```

