```mermaid
sequenceDiagram autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice (Browser)
participant epages6 as ePages6 (Cartridges)
participant epagesj as ePagesJ
participant Google as Google

Merchant->>MBO: Clicks MBO > Marketing > Shopping Ads on Google > Setup TAB
MBO->>epages6:ViewAction UnityViewGoogleSmartShopping
Note over epages6: ADS ACCOUNT NOT CONNECTED<br/>Personal Google account and Merchant Center account are connected

epages6->>epagesj: API::GoogleAdsApiService->getGoogleAdsAccounts<br/>GET 'misc/google-smart-shopping/accounts/ads/list'<br/>(AccessToken, DeveloperToken)
epagesj->>Google: AdsAccountsService.getAccessibleCustomers<br/>CustomerServiceClient.listAccessibleCustomers (Google Ads API SDK)
Google-->>epagesj: CustomerServiceClient.ListAccessibleCustomersResponse (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) GoogleAdsAccount entity [ {id:.., name:.., manager:.., testAccount..}, {...}, ... ] <br>(filter manager: true)
epages6-->>MBO: Render select box with Ads accounts

alt Existing Ads Account
Note over epages6: Existing Ads Account
Merchant->>MBO: Select existing Ads account, click Connect button
MBO->>epages6: Submit Ads Account Id
Note over epages6, Google: Link Ads Account to Manager Account
epages6->>epages6: Save Ads Account Id in config
Note over epages6, Google: Create and enable a link between MerchantCenter Account and Ads Sub-Accoun

else New Ads Sub-account
Merchant->>MBO: Click create new Ads account
Note over epages6: New Ads Sub-Account
MBO->>epages6: POST ChangeAction CreateGoogleAdsAccount
epages6->>epagesj: API::GoogleAdsApiService->createGoogleAdsSubAccount<br/>POST misc/google-smart-shopping/accounts/ads/{ManagerAccountId}/sub-accounts<br/>{name:.., currencyCode:.., timeZone:.., email:.. } (AdminToken, DeveloperToken)
epagesj->>Google: AdsAccountsService.create<br/>CustomerServiceClient.createCustomerClient {accessRole: ADMIN} (Google Ads API SDK)
Google-->>epagesj: response (200 OK) GoogleAdsAccount entity {id:.., name:.., manager:.., testAccount..}
epagesj-->>epages6: Return Ads Account Id
Note over epages6: Create and enable a link between MerchantCenter Account and Ads Sub-Account
Note over epages6, epagesj: Create Ads link
epages6->>epagesj: API::GoogleAdsApiService->createGoogleAdsLink<br/>PUT misc/google-smart-shopping/accounts<br/>/{MultiClientAccountID}/sub-accounts/{MerchantCenterAccountID}/ads-link<br/>(AdminToken or AccessToken)
epagesj->>Google: AccountLinkingService.addAdsLink<br/>AccountAdsLink.add (Content API SDK)
Google-->>epagesj: 204 No Content
epagesj-->>epages6: response (200 OK)
Note over epages6, epagesj: Enable GoogleAdsLink
epages6->>epagesj: API::GoogleAdsApiService->enableGoogleAdsLink<br/>POST misc/google-smart-shopping/accounts<br/>/ads/{AdsManagerAccountId}/sub-accounts/{AdsAccountId}/merchant-center-link/enable<br/>(AdminToken or AccessToken, DeveloperToken)
epagesj->>Google: AdsAccountLinkingService.enablePendingMerchantCenterLink<br/>merchantCenterLinkServiceClient.mutateMerchantCenterLink ENABLED (Google Ads API SDK)
Google-->>epagesj: 204 No Content
epagesj-->>epages6: response (200 OK)

end

Note over Merchant, epages6:ADS ACCOUNT CONNECTED
Note over epages6:Get Ads account billing status
epages6->>epagesj: GET misc/google-smart-shopping/accounts<br/>/ads/{AdsManagerAccountId}/sub-accounts/{GoogleAdsAccountID}/billing-setup<br>(AccessToken, DeveloperToken)
epagesj->>Google:  AdsReportingService.getBillingSetup<br/>SearchPagedResponse GoogleAdsServiceClient.search (Google Ads API SDK)
Google-->>epagesj: SearchPagedResponse
epagesj-->>epages6: response (200 OK) entity BillingSetupStatus {status:..}
epages6-->>MBO: Render billing setup status
Note over MBO, epages6:Display billing setup status in the gray box under Ads account
```

