```mermaid
sequenceDiagram autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice (Browser)
participant epages6 as ePages6 (Cartridges)
participant epagesj as ePagesJ
participant Google as Google

Note over Merchant, Google:MERCHANT CENTER ACCOUNT<br/>Merchant is on MBO : Google setup TAB UI::Shop::ShopUnityViewGoogleSmartShopping<br/> Shop requirements checkboxes are checked
epages6->>epagesj: Get  MC Accounts  
epagesj->>Google: Get  MC Accounts  
Google-->>epagesj: return  MC Accounts
epagesj-->>epages6: return  MC Accounts
epages6-->>MBO: return  MC Accounts

alt:Existing MC Account
Merchant->>MBO: Select existing Merchant Center account, click Connect button
MBO->>epages6: Submit form, save existing Merchant Center account Id in config
else:New MC Sub-account
Merchant->>MBO: Click create new Merchant Center account link
MBO->>MBO: Open dialog to create new Merchant Center sub-account<br/>Merchant fills the form
MBO->>epages6: Request to create a new Merchant Center sub-account
epages6->>epagesj: Request to create a new Merchant Center sub-account<br/>POST misc/google-smart-shopping/accounts/MerchantCenterMultiClientAccountID/sub-accounts
epagesj->>Google: Request to create a new Merchant Center sub-account
Google-->>epagesj: Return MC Account Id
epagesj-->>epages6: Return MC Account Id
epages6->>epages6: Save existing Merchant Center account Id in config
end
Note over epages6, Google: Site verification
epages6->>epagesj: Request to create a new site verification token<br/>POST misc/google-smart-shopping/accounts/site-verification-token
epagesj->>Google: Request to create site verification token
Google-->>epagesj: Return site verification token
epagesj-->>epages6: Return site verification token
epages6->>epages6: Save SiteVerificationToken in config

epages6->>epagesj: Trigger site verification<br/>POST misc/google-smart-shopping/accounts/site-verification
epagesj->>Google: Trigger site verification
Google-->>epagesj: response (200 OK)
epagesj-->>epages6: response (200 OK)
Google->>epages6: Verfify token, GET www.shopdomain.tld/gooogle123TokenFile.html
epages6-->>Google: Return verification token string<br/>ViewAction GET UnitySF-ViewGoogleSmartShoppingHTML (UnitySFViewGoogleSmartShoppingHTML)

Note over epages6, Google: Claim website
epages6->>epagesj: Trigger website claim<br/>POST misc/google-smart-shopping/accounts/claim-website
epagesj->>Google: Trigger website claim
Google-->>epagesj: response (200 OK)
epagesj-->>epages6: response (200 OK)


epages6->>MBO: Show connected MC account

Note over epages6, Google: Phone verification
Merchant->>MBO: Clicks on 'Verify phone' link, enters phone number in popup dialog
MBO->>epages6: Submit form with phone number<br/>ChangeAction POST GoogleSmartShopping-PhoneNumberVerification (VerifyMerchantAccountPhoneNumber)
epages6->>epagesj: Get code for phone verification<br/>GoogleApiService->requestMerchantCenterPhoneVerification<br/>POST misc/google-smart-shopping/accounts<br/>//{managerAccountId}/sub-accounts/{merchantAccountId}/phone-verification<br/>{phoneNumber:..,languageCode:..,,phoneRegionCode:.. } (AdminToken or AccessToken)
epagesj->>Google:  ShoppingContent.Accounts.Requestphoneverification
Google-->>epagesj: verificationId
epagesj-->>epages6: response (200 OK) PhoneNumberVerificationResponse entity {verificationId:..}
epages6-->>MBO: Show dialog to enter the code
Google-->>Merchant: Send SMS to Merchnat's phone with verification code
Note over Merchant: Receive SMS with verification code
Merchant->>MBO: Enter code received on the phone
MBO->>epages6: Submit form with phone verification code<br/>ChangeAction POST GoogleSmartShopping-PhoneNumberVerificationCode (VerifyMerchantAccountPhoneNumberCode)
epages6->>epagesj: Confirm phone verification<br/>GoogleApiService->confirmMerchantCenterPhoneVerification<br/>POST misc/google-smart-shopping/accounts<br/>/{managerAccountId}/sub-accounts/{merchantAccountId}/phone-verification/{verificationId}<br/>{code:.. } (AdminToken or AccessToken)
epagesj->>Google:  ShoppingContent.Accounts.Verifyphonenumber
Google-->>epagesj: verifiedPhoneNumber
epagesj-->>epages6: response (200 OK) VerifiedPhoneNumberResponse entity {verifiedPhoneNumber:..}
epages6-->>MBO: Close dialog, refresh setup tab<br/>ViewAction UnityViewGoogleSmartShopping
```

