```mermaid
sequenceDiagram autonumber
participant Merchant as Merchant
participant GoogleApp as ePages Google App (Browser, React App) <br/>google-app.epages.com
participant MBO as Merchant Backoffice (Browser)
participant epages6 as ePages6 (Cartridges)
participant epagesj as ePagesJ
participant Google as Google

epages6-->>MBO: Build onboarding url <br />DE_EPAGES::GoogleSmartShopping::API::GoogleSmartShoppingUrlBuilder<br/>buildConnectOAuthUrl()
activate MBO
Note over Merchant, epages6: NOT CONNECTED <br /> Merchant is on MBO > Marketing > Shopping ads on Google > Setup TAB<br/> UI::Shop::UnityViewGoogleSmartShopping()
Merchant->>MBO: Click "Set up Shopping ads on Google"
MBO->>GoogleApp: Redirection to Google App (with app client_id)
activate GoogleApp
Merchant->>GoogleApp: Click "Sign in with Google"
GoogleApp->>Google: Get authorization code <br/>GET https://accounts.google.com/o/oauth2/auth?response_type=code
deactivate GoogleApp
activate Google
Note over Google: Merchant is on Google permission form
Merchant->>Google: Merchant login & consent
Google-->>GoogleApp: Authorization Code
deactivate Google
activate GoogleApp
GoogleApp->>epages6: Redirect to epages6 with authorization code<br/> DE_EPAGES::GoogleSmartShopping::UI::GoogleSmartShopping<br/> BacklinkGoogleSmartShoppingOnboarding()
deactivate GoogleApp
activate epages6
Note over epages6: Onboarding dialog is redirected to epages system <br/>(oauth-redirect.epages.com)
epages6->>MBO: ViewAction UnityViewGoogleSmartShopping
deactivate epages6

Note over MBO, epages6: Onboarding dialog is closed, merchant is back to MBO
MBO->>epages6:ChangeAction callback when dialog closed<br/> DE_EPAGES::GoogleSmartShopping::UI::Shop::GoogleOAuthCallback()
activate epages6
epages6->>Google: Exchange code for token <br/>DE_EPAGES::GoogleSmartShopping::API::GoogleApiService::getAndSaveOAuthTokens()<br/>POST "https://oauth2.googleapis.com/token"
deactivate epages6
activate Google
Google-->>epages6:Access Token and Refresh Token
deactivate Google
activate epages6
epages6->>epages6: Save connected account into Config object
epages6->>MBO: Redirect to MBO Setup TAB with connected google account
deactivate epages6

Note over Merchant, epages6: CONNECTED <br /> Merchant is on MBO > Marketing > Shopping ads on Google > Setup TAB<br/> Google email is shown as connected, disconnect button is enabled
opt:Refresh Access Token
epages6->>Google: Get new access token using refresh token<br>DE_EPAGES::GoogleSmartShopping::API::GoogleApiClient::_doRefreshAccessToken()<br/>POST "https://oauth2.googleapis.com/token?<br/>client_id=%s&client_secret=%s&refresh_token=%s&grant_type=%s"
Google-->>epages6: New access token
end
deactivate MBO
```

